package com.company.bugy.view.testentity;

import com.company.bugy.entity.TestEntity;

import com.company.bugy.view.main.MainView;

import com.vaadin.flow.router.Route;
import io.jmix.core.DataManager;
import io.jmix.flowui.component.genericfilter.GenericFilter;
import io.jmix.flowui.component.grid.DataGrid;
import io.jmix.flowui.model.CollectionContainer;
import io.jmix.flowui.model.CollectionLoader;
import io.jmix.flowui.view.*;
import org.springframework.beans.factory.annotation.Autowired;

import java.math.BigDecimal;
import java.util.List;

@Route(value = "testEntities", layout = MainView.class)
@ViewController("bugy_TestEntity.list")
@ViewDescriptor("test-entity-list-view.xml")
@LookupComponent("testEntitiesDataGrid")
@DialogMode(width = "64em")
public class TestEntityListView extends StandardListView<TestEntity> {
    @Autowired
    private DataManager dataManager;
    @ViewComponent
    private GenericFilter genericFilter;

    @Subscribe
    public void onReady(final ReadyEvent event) {
        List<TestEntity> testEntities = dataManager.load(TestEntity.class).all().list();
        if (testEntities.isEmpty()) {
            for (int i = 0; i <= 5; i++) {
                TestEntity testEntity = dataManager.create(TestEntity.class);
                testEntity.setZ01("8");
                testEntity.setZ02("8");
                testEntity.setZ03("8");
                testEntity.setZ04("8");
                testEntity.setZ05("8");
                testEntity.setTotal(new BigDecimal(40));
                dataManager.save(testEntity);
            }
            genericFilter.getDataLoader().load();
        }
    }

}